#! /bin/sh /usr/share/dpatch/dpatch-run
## tempdirfix.dpatch by Robert Lemmen <robertle@semistable.com>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Fix for wrong tempdir usage

@DPATCH@

--- gtablix.orig	2005-12-29 18:41:08.000000000 +0100
+++ gtablix-0.0.9-11/gtablix	2005-12-29 18:41:52.000000000 +0100
@@ -80,7 +80,7 @@
 
 my $docdir;
 my $picdir;
-my $tempdir = tempdir()."-gtablix";
+my $tempdir = tempdir("gtablix-XXXXXXXX");
 if ($libdir eq '/usr/share') {
 	$picdir = '/usr/share/gtablix';
 	$docdir = '/usr/share/doc/gtablix';
